from Universal import ioservice

def generateConfigs():
    generateProcessorConfigs()
    generateServerConfig()
    generateVideoConfig()

def generateProcessorConfigs():
    ioservice.addConfiguration("Video Configuration", "TMDB API Key")
    ioservice.addConfiguration("Video Configuration", "FFProbe Path")
    ioservice.addConfiguration("Video Configuration", "Encoder Path")
    ioservice.addConfiguration("Video Configuration", "Sleep Timer (Seconds)", "100")
    ioservice.addConfiguration("Video Configuration", "Blacklist Words", "1080p, 720p, 480p, 360p, x265, x264")

def generateServerConfig():
    ioservice.addConfiguration("Server 1", "Type (SFTP/NONE)", "NONE")
    ioservice.addConfiguration("Server 1", "Host", "127.0.0.1")
    ioservice.addConfiguration("Server 1", "Port", "22")
    ioservice.addConfiguration("Server 1", "Username", "NONE")
    ioservice.addConfiguration("Server 1", "Password", "NONE")
    ioservice.addConfiguration("Server 1", "Key File", "NONE")
    ioservice.addConfiguration("Server 1", "Key Type (RSA/DSA)", "RSA")
    ioservice.addConfiguration("Server 1", "Media Root", "/Server/Drive/Media/")

def generateVideoConfig():
    ioservice.addConfiguration("Video Library 1", "Name", "TV Shows")
    ioservice.addConfiguration("Video Library 1", "Input", "./Input/TV-Shows/")
    ioservice.addConfiguration("Video Library 1", "Output", "./Output/TV-Shows/")
    ioservice.addConfiguration("Video Library 1", "Database Service", "TMDB")
    ioservice.addConfiguration("Video Library 1", "Media Type", "SHOWS")
    ioservice.addConfiguration("Video Library 1", "Compress Video", "False")
    ioservice.addConfiguration("Video Library 1", "Output Format", "mkv")
    ioservice.addConfiguration("Video Library 1", "Directory Format", "/${NAME}/Season ${SEASON}/${NAME} S${SEASON}E${EPISODE}.${FORMAT}")
    ioservice.addConfiguration("Video Library 1", "Command", "${COMPRESSOR} -i ${INPUT} -o ${OUTPUT}")
    ioservice.addConfiguration("Video Library 1", "Subtitle Command", "--srt-file ${SRT_FILE} --srt-lang ${SRT_LANGUAGE}")
    ioservice.addConfiguration("Video Library 1", "Delete Input", "False")
    ioservice.addConfiguration("Video Library 1", "Server", "None")
    ioservice.addConfiguration("Video Library 1", "Server Path", "/TV Shows/${NAME}/Season ${SEASON}/${NAME} S${SEASON}E${EPISODE}.${FORMAT}")
    ioservice.addConfiguration("Video Library 1", "Server Overwrite", "False")
